org.jacoco.core.analysis

## Interface ISourceFileCoverage

All Superinterfaces:
  ICoverageNode, ISourceNode

All Known Implementing Classes:
  SourceFileCoverageImpl

    public interface ISourceFileCoverage
    extends ISourceNode

Coverage data of a single source file. The name of this node is the local name of the source file.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode

`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

### Field Summary

### Fields inherited from interface org.jacoco.core.analysis.ISourceNode

`UNKNOWN_LINE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPackageName()` Returns the VM name of the package the source file belongs to.

### Methods inherited from interface org.jacoco.core.analysis.ISourceNode

`getFirstLine, getLastLine, getLine`

### Methods inherited from interface org.jacoco.core.analysis.ICoverageNode

`getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

### Method Detail

#### getPackageName

    String getPackageName()

Returns the VM name of the package the source file belongs to.

Returns:
  package name